• GoDaddy Community
  • GoCentral | Website Builder
  • GoCentral | Website Builder

    cancel
    Showing results for 
    Search instead for 
    Did you mean: 
    Helper V

    New PayPal PCI compliance requirements

    I was on the PayPal website and discovered that changes will be being made starting on June 26, 2018 that effects merchant accounts. They are encrypting the site further as I understand it. Their information states:

    PayPal is updating its services to require TLS 1.2 for all HTTPS connections. At this time, PayPal will also require HTTP/1.1 for all connections.

    This is to be completed by June 30. Any merchant who is not updated may run into issues processing payments.

    It goes on to say:

    These changes that may impact your ability to accept any PayPal transactions, process credit card payments with PayPal, or access the funds in your PayPal Business account.

    Just giving everyone a heads up. Does anyone know if GoCentral is compliant with this? Here's a link:

    https://www.paypal-notice.com/en/TLS-1.2-and-HTTP1.1-Upgrade/

     

    keywords: security